import { jsx } from "react/jsx-runtime";
import { TokenAR as TokenAR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAR = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "AR", "data-name": "TokenAR", ...props, children: /* @__PURE__ */ jsx(TokenAR$1, { variant }) });
  }
);
TokenAR.displayName = "TokenAR";
Object.assign(TokenAR, { isGdsIcon: true });
export {
  TokenAR
};
